package com.neusoft.smart.pos.promotion.persistent.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class PromotionPayChannel implements Serializable {
    private Integer id;

    private Integer payChannel;

    private Integer storeId;

    private Integer orgId;

    private BigDecimal discount;

    private Integer purchaseMoney;

    private Integer moneyOff;

    private Integer offType;

    private Date createTime;

    private Integer createBy;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(Integer payChannel) {
        this.payChannel = payChannel;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    public Integer getPurchaseMoney() {
        return purchaseMoney;
    }

    public void setPurchaseMoney(Integer purchaseMoney) {
        this.purchaseMoney = purchaseMoney;
    }

    public Integer getMoneyOff() {
        return moneyOff;
    }

    public void setMoneyOff(Integer moneyOff) {
        this.moneyOff = moneyOff;
    }

    public Integer getOffType() {
        return offType;
    }

    public void setOffType(Integer offType) {
        this.offType = offType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Integer createBy) {
        this.createBy = createBy;
    }
}